OVNKUBE(1)

NAME
ovnkube - ovn utility

SYNOPSIS
ovnkube [OPTION]... [FILE]...

DESCRIPTION

The ovn utility used to confiugre ovn-kubernetes

GLOBAL OPTIONS

--cluster-subnet string
    A comma separated set of IP subnets and the associated hostsubnetlengths to use for the cluster (eg, "10.128.0.0/14/23,10.0.0.0/14/23"). Each entry is given in the form IP address/subnet mask/hostsubnetlength, the hostsubnetlength is optional and if unspecified defaults to 24. The hostsubnetlength defines how many IP addresses are dedicated to each node. (default "11.11.0.0/16")

--service-cluster-ip-range value
    A CIDR notation IP range from which k8s assigns service cluster IPs. This should be the same as the one provided for kube-apiserver's --service-cluster-ip-range option.

--net-controller
    Flag to start the central controller that watches pods/services/policies.

--init-master string
    Initialize master, requires the hostname as argument.

--init-node string
    Initialize node, requires the name that node is registered with in kubernetes cluster.

--remove-node string
    Remove a node from the OVN cluster, requires the name that node is registered with in kubernetes cluster.

--init-gateways
    Initialize a gateway in the minion. Only useful with --init-node.

--gateway-interface string
    The interface in minions that will be the gateway interface. If none specified, then the node's interface on which the default gateway is configured will be used as the gateway interface. Only useful with --gateway-spare-interface If set, assumes that --gateway-interface provided can be exclusively used for the OVN gateway. When specified, only OVN related traffic can flow through this interface. --init-gateways.

--gateway-nexthop string
    The external default gateway which is used as a next hop by OVN gateway. This is many times just the default gateway of the node in question. If not specified, the default gateway configured in the node is used. Only useful with --init-gateways.

--gateway-spare-interface
    If true, assumes that "gateway-interface" provided can be exclusively used for the OVN gateway. When true, only OVNrelated traffic can flow through this interface.

--gateway-local
    If true, creates a local gateway (br-local) to let traffic reach host network and also exit host with iptables NAT. A br-local gateway will have a IP address of 169.254.33.2 and it will have a port br-nexthop with a IP address of 169.254.33.1.

--nodeport
    Setup nodeport based entries in OVN gateways for ingress into the k8s cluster. By default, it is disabled.

--config-file string
    Configuration file path.

--mtu value
    MTU value used for the overlay networks. (default: 0).

--conntrack-zone value
    For gateway nodes, the conntrack zone used for conntrack flow rules (default: 0).

--loglevel int
    Log verbosity and level: 5=debug, 4=info, 3=warn, 2=error, 1=fatal (default: 0).

--logfile string
    Logfile name (with path) for ovnkube to write to.

--pidfile string
    (Optional) file name that will contain the pid.

--cni-conf-dir string
    The CNI config directory in which to write the overlay CNI config file.

--cni-plugin string
    The name of the CNI plugin.

--k8s-kubeconfig string
    Absolute path to the kubeconfig file (not required if the --k8s-apiserver, --k8s-cacert, and --k8s-token are given).

--k8s-apiserver string
    URL to the Kubernetes apiserver (default "https://localhost:8443") (not required if --k8s-kubeconfig is given).

--k8s-cacert string
    The absolute path to the Kubernetes API CA certificate (not required if --k8s-kubeconfig is given).

--k8s-token string
    The Kubernetes API authentication token (not required if --k8s-kubeconfig is given).

--nb-address string
    IP address and port of the OVN northbound API (eg, ssl://1.2.3.4:6641). Leave empty to use a local unix socket.

--nb-client-privkey string
    Private key that the client should use for talking to the OVN database. Leave empty to use local unix socket.

--nb-client-cert string
    Client certificate that the client should use for talking to the OVN database. Leave empty to use local unix socket.

--nb-client-cacert string
    CA certificate that the client should use for talking to the OVN database. Leave empty to use local unix socket.

--sb-address string
    IP address and port of the OVN southbound database (eg, ssl://1.2.3.4:6642). Leave empty to use a local unix socket.

--sb-client-privkey string
    Private key that the client should use for talking to the OVN database. Leave empty to use local unix socket.

--sb-client-cert string
    Client certificate that the client should use for talking to the OVN database. Leave empty to use local unix socket.

--sb-client-cacert string
    CA certificate that the client should use for talking to the OVN database. Leave empty to use local unix socket.

--ha
    Flag to rebuild ovn db if it is started on a new node (experimental feature).

--help, -h
    Show help.

--version, -v
    Print the version.

SEE ALSO
ovn-k8s-overlay(1), ovn-kube-util(1), ovn_k8s(5).

https://github.com/openvswitch/ovn-kubernetes